app/Http/routes.php
<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

//php artisan route:list      
Route::get('/', 'PagesController@index');


Route::get('/about', 'PagesController@about');
Route::get('/login', 'PagesController@login');
Route::get('/registroAdm', 'PagesController@registroAdm');
Route::get('/registroDoc', 'PagesController@registroDoc');
Route::get('/registroEst', 'PagesController@registroEst');
Route::get('verEstudiantesAdmin', 'PagesController@verEstudiantesAdmin');

Route::group(['prefix'=>'admin'],function(){
	Route::resource('admin','AdminController');
});
Route::group(['prefix'=>'docente'],function(){
	Route::resource('docente','ProfessorController');
});
Route::group(['prefix'=>'proyecto'],function(){
	Route::resource('proyecto','proyectoController');
});
Route::group(['prefix'=>'area'],function(){
	Route::resource('area','AreaController');
});
Route::get('admin/auth/login',[ 
	'uses'=> 'Auth\AuthController@getLogin',
	'as' => 'admin.auth.login'
]);
Route::post('admin/auth/login',[ 
	'uses'=> 'Auth\AuthController@postLogin',
	'as' => 'admin.auth.login'
]);
Route::get('admin/auth/logout',[ 
	'uses'=> 'Auth\AuthController@getLogout',
	'as' => 'admin.auth.logout'
]);
Route::get('inicio-admin',function(){
	return view('Admin.index');
});
Route::get('inicio-docente',function(){
	return view('Docente.index');
});

Route::get('importarDocente', [
	'uses' => 'AdminController@import',
	'as' => 'importarDocente'
]);

Route::post('prueba',[ 
	'uses'=> 'AdminController@importcsv',
	'as' => 'prueba'
]);
//Route::post('prueba', 'AdminController@importcsv');
Route::get('getImport', 'ExcelController@getImport');
Route::post('postImport', 'ExcelController@postImport');

resources/views/Admin/Ver/verAdministradores.blade.php
@extends('layouts.Admin')
@section('content')
<h3>Administradores</h3>
  <table class="table table-striped" >
    <thead>
      <th>nombre</th>
      <th>apellido</th>
      <th>email</th>
      <th>Editar/Eliminar </th>
    </thead>
    <tbody>
      @foreach($administradores as $administrador)
      <tr>
        <td>{{$administrador->nombre}}</td>
        <td>{{$administrador->apellido}}</td>
        <td>{{$administrador->email}}</td>
        <td>
          {!! Form::open(['method'=>'DELETE','route' => ['admin.admin.destroy',$administrador->id] ]) !!}
            <div class="form-group">
              <a href="{{route('admin.admin.edit',$administrador->id)}}" class="btn btn-primary"><span class="glyphicon glyphicon-pencil"></a> 
              {!! Form::button('<span class="glyphicon glyphicon-remove"></span>',array('class'=>'btn btn-danger','type'=>'submit')) !!}
            </div>
          {!! Form::close()!!}
        </td>
      </tr>
      @endforeach
    </tbody>
  </table>
  {!! $administradores->render() !!} 
@endsection

@section('title')
	Admini-Inicio
@endsection


@section('content-header')
	<section class="content-header">
      <h1>
        Zona de administracion
        <small>Admin general</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="prueba"><i class="fa fa-user-circle-o"></i> Admin</a></li>
        <li><a href="prueba">inicio</a></li>
      </ol>
    </section>
@endsection

resources/views/Admin/Ver/verAreas.blade.php
@extends('layouts.Admin')
@section('content')
<h3>Administradores</h3>
  <table class="table table-striped" >
    <thead>
      <th>Area</th>
      <th>Descripcion</th>
      <th>Acciones</th>
    </thead>
    <tbody>
      @foreach($areas as $area)
      <tr>
        <td>{{$area->nombre}}</td>
        <td>{{$area->descripcion}}</td>
        <td>
          {!! Form::open(['method'=>'DELETE','route' => ['area.area.destroy',$area->id] ]) !!}
            <div class="form-group">
              <a href="{{route('area.area.edit',$area->id)}}" class="btn btn-primary"><span class="glyphicon glyphicon-pencil"></a> 
              {!! Form::button('<span class="glyphicon glyphicon-remove"></span>',array('class'=>'btn btn-danger','type'=>'submit')) !!}
            </div>
          {!! Form::close()!!}
        </td>
      </tr>
      @endforeach
    </tbody>
  </table>
  {!! $areas->render() !!} 
@endsection

@section('title')
	Admini-Inicio
@endsection


@section('content-header')
	<section class="content-header">
      <h1>
        Zona de administracion
        <small>Admin general</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="prueba"><i class="fa fa-user-circle-o"></i> Admin</a></li>
        <li><a href="prueba">inicio</a></li>
      </ol>
    </section>
@endsection

resources/views/Admin/Ver/verDocentes.blade.php
@extends('layouts.Admin')
@section('content')
<h3>Docentes registrados</h3>
  <table class="table table-striped">
    <thead>
      <th>Nombre</th>
      <th>Apellido</th>
      <th>Email</th>
      <th>Telefono</th>
      <th>Area de competencia</th>
      <th>Editar/Eliminar </th>
    </thead>
    <tbody>
      @foreach($docentes as $docente)
      <tr>
        <td>{{$docente->nombre}}</td>
        <td>{{$docente->apellidoP}}</td>
        <td>{{$docente->email}}</td>
        <td>{{$docente->telefono}}</td>
        <td>{{$docente->area_id}}</td>
        <td>
          {!! Form::open(['method'=>'DELETE','route' => ['docente.docente.destroy',$docente->id] ]) !!}
            <div class="form-group">
              <a href="{{route('docente.docente.edit',$docente->id)}}" class="btn btn-primary"><span class="glyphicon glyphicon-pencil"></a>
              {!! Form::button('<span class="glyphicon glyphicon-remove"></span>',array('class'=>'btn btn-danger','type'=>'submit')) !!}
            </div>
          {!! Form::close()!!}
        </td>
      </tr>
      @endforeach
    </tbody>
  </table>
  {!! $docentes->render() !!} 
@endsection

@section('title')
	Admini-Inicio
@endsection


@section('content-header')
	<section class="content-header">
      <h1>
        Zona de administracion
        <small>Admin general</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="prueba"><i class="fa fa-user-circle-o"></i> Admin</a></li>
        <li><a href="prueba">inicio</a></li>
      </ol>
    </section>
@endsection

resources/views/Admin/Ver/verProyectos.blade.php
@extends('layouts.Admin')
@section('content')
<h3>Proyectos registrados</h3>
  <table class="table table-striped">
    <thead>
      <th>Nombre tutor</th>
      <th>Apellido paterno</th>
      <th>Nombre postulante</th>
      <th>Apellido postulante</th>
      <th>Modalidad de titulacion</th>
      <th>Carrera</th>
      <th>Periodo</th>
      <th>Editar/Eliminar </th>
    </thead>
    <tbody>
      @foreach($proyectos as $proyecto)
      <tr>
        <td>{{$proyecto->nombreTutor}}</td>
        <td>{{$proyecto->apellidoPTutor}}</td>
        <td>{{$proyecto->nombrePostulante}}</td>
        <td>{{$proyecto->apellidoPPostulante}}</td>
        <td>{{$proyecto->modalidadTitulacion}}</td>
        <td>{{$proyecto->carrera}}</td>
        <td>{{$proyecto->periodo}}</td>
        <td>
          {!! Form::open(['method'=>'DELETE','route' => ['proyecto.proyecto.destroy',$proyecto->id] ]) !!}
            <div class="form-group">
              <a href="{{route('proyecto.proyecto.edit',$proyecto->id)}}" class="btn btn-primary"><span class="glyphicon glyphicon-pencil"></a> 
              {!! Form::button('<span class="glyphicon glyphicon-remove"></span>',array('class'=>'btn btn-danger','type'=>'submit')) !!}
            </div>
          {!! Form::close()!!}
        </td>
      </tr>
      @endforeach
    </tbody>
  </table>
  {!! $proyectos->render() !!} 
@endsection

@section('title')
	Admini-Inicio
@endsection


@section('content-header')
	<section class="content-header">
      <h1>
        Zona de administracion
        <small>Admin general</small>
      </h1>
      <ol class="breadcrumb">
        <li><a href="prueba"><i class="fa fa-user-circle-o"></i> Admin</a></li>
        <li><a href="prueba">inicio</a></li>
      </ol>
    </section>
@endsection